-- Created by NuclearTonic
-- If reusing this code, please keep the name of the original author listed
-- in respect for borrowing said authors code.
-- RESPECT!

import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Tonic.Utils.Class";
import "Tonic.UI.CheckBox";
import "Tonic.UI.ComboBox";
import "Tonic.UI.AutoListBox";
import "Tonic.UI.Window";
import "Tonic.UI.MenuUtils";

TriggerMenuItem = class( Tonic.UI.AutoListBox );

function TriggerMenuItem:Constructor( triggerType )
	Tonic.UI.AutoListBox.Constructor( self, 0, 0, 0, 0 );

	self.utils = Tonic.UI.MenuUtils();

	local bar1 = self.utils:AddAutoListBox( self, Turbine.UI.Orientation.Horizontal, 0, 0, 0, 0 );
	
	self.utils:AddLabelBox( bar1, "When:", 100, selectionHeight );
	
	if (triggerType == "Standard" ) then
		local triggerWhen = Tonic.UI.ComboBox();
		triggerWhen:SetSize( 150, 20 );
		triggerWhen:SetParent( self );
		triggerWhen:SetScrollSize( 2 );
		triggerWhen:AddItem( "CTRL Pressed", 	TRIGGER_TYPE_CTRL );
		triggerWhen:AddItem( "ALT Pressed", 	TRIGGER_TYPE_ALT );
		triggerWhen:AddItem( "SHIFT Pressed", 	TRIGGER_TYPE_SHIFT );
		triggerWhen:AddItem( "In Combat", 	    TRIGGER_TYPE_COMBAT );
		triggerWhen:AddItem( "Poisoned", 	    TRIGGER_TYPE_POISON );
		triggerWhen:AddItem( "Feared", 	    	TRIGGER_TYPE_FEAR );
		triggerWhen:AddItem( "Wounded", 	    TRIGGER_TYPE_WOUND );
		triggerWhen:AddItem( "Diseased", 	    TRIGGER_TYPE_DESEASE );
		bar1:AddItem( triggerWhen );
		
		self:AddItem( bar1 );

	elseif ( triggerType == "Conditional" ) then
		local triggerWhen = Tonic.UI.ComboBox();
		triggerWhen:SetSize( 150, 20 );
		triggerWhen:SetParent( self );
		triggerWhen:AddItem( "Health Drops", 	TRIGGER_TYPE_HEALTH );
		triggerWhen:AddItem( "Power Drops", 	TRIGGER_TYPE_POWER );
		bar1:AddItem( triggerWhen );
		
		self:AddItem( bar1 );
	
		local conditions = self.utils:AddAutoListBox( self, Turbine.UI.Orientation.Horizontal, 0, 0, 0, 0 );
		local levels = self.utils:AddAutoListBox( self, Turbine.UI.Orientation.Horizontal, 0, 0, 0, 0 );

		self.utils:AddLabelBox( conditions, "Is:", 100, selectionHeight );
		condition = Tonic.UI.ComboBox();
		condition:SetSize( 200, 20 );
		condition:SetParent( conditions );
		condition:AddItem( "=", 			TRIGGER_TYPES_EQUAL );
		condition:AddItem( ">", 			TRIGGER_TYPES_GT );
		condition:AddItem( "<", 			TRIGGER_TYPES_LT );
		condition:AddItem( "BETWEEN", 	TRIGGER_TYPES_BETWEEN );
		conditions:AddItem( condition );

		self:AddItem( conditions );

		self.utils:AddLabelBox( levels, "High:", 50, selectionHeight );
		self.extSpacingSB = self.utils:AddScrollBar( levels, 1, 0, 50, 120, selectionHeight / 2 );

		self.utils:AddLabelBox( levels, "Low:", 50, selectionHeight );
		self.extSpacingSB = self.utils:AddScrollBar( levels, 1, 0, 50, 120, selectionHeight / 2 );
		
		self:AddItem( levels );
	end

	local bar4 = self.utils:AddAutoListBox( self, Turbine.UI.Orientation.Horizontal, 0, 0, 0, 0 );
	self.utils:AddLabelBox( bar4, "Trigger Bar:", 100, selectionHeight );
	local triggerBar = Tonic.UI.ComboBox();
	triggerBar:SetSize( 150, 20 );
	triggerBar:SetParent( self );
	bar4:AddItem( triggerBar );

	self:AddItem( bar4 );
	
	local addButton = Turbine.UI.Lotro.Button();
	addButton:SetText( "Remove" );
	addButton:SetSize( buttonWidth, selectionHeight );
	addButton.MouseClick = function( sender, args )
	end
	self:AddItem( addButton );
end